Execute Chained Action
curl --request POST \
--url https://api.dial.to/v1/blink/chain \
--header 'Content-Type: application/json' \
--header 'x-blink-client-key: <api-key>' \
--data '
{
"account": "<string>",
"signature": "<string>",
"state": "<string>",
"data": {}
}
'import requests
url = "https://api.dial.to/v1/blink/chain"
payload = {
"account": "<string>",
"signature": "<string>",
"state": "<string>",
"data": {}
}
headers = {
"x-blink-client-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-blink-client-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({account: '<string>', signature: '<string>', state: '<string>', data: {}})
};
fetch('https://api.dial.to/v1/blink/chain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"links": {
"next": {
"type": "<string>",
"href": "<string>"
}
}
}{
"message": "<string>"
}Blink
Execute Chained Action
Endpoint for action chaining (multi-step workflows)
POST
/
v1
/
blink
/
chain
Execute Chained Action
Authorizations
Client key to authorize requests.
Query Parameters
Blink API URL
Example:
"https://jito.dial.to/stake"
Body
application/json
Was this page helpful?
⌘I